/*--> ========================================================== <--*/
/*--> midas_sort_defn.h : Include file containing MACRO          <--*/
/*-->                     definitions that are used in the       <--*/
/*-->            midas_sort package.                             <--*/
/*-->                                                            <--*/
/*-->            D. Appelbe Daresbury Lab.                       <--*/
/*-->                                                            <--*/
/*--> ========================================================== <--*/
#ifndef _MIDASSORTDEFN_
#define  _MIDASSORTDEFN_
/*--> ========================================================== <--*/
#define MAX_SPECTRA           ( 5000 ) /*--> Max allowed spectra <--*/

#define USER_F77   "sort-midas-user.f" /*--> Name of the Fortran <--*/
                                       /*--> temp file           <--*/
#define USER_C     "sort-midas-user.c" /*--> Name of the C       <--*/
                                       /*--> temp file           <--*/
#define SPEC_CREATE     "smf-create.c" /*--> Name of spectrum    <--*/
                                       /*--> creation file       <--*/
#define SPEC_ARRAY         "specarray" /*--> Name of the global  <--*/
                                       /*--> variable containing <--*/
                                       /*--> info about the      <--*/
                                       /*--> spectra that we use <--*/
#define FIFO_FILE     "sort-fifo.fifo" /*--> Ctrl Fifo           <--*/
#define STATUS_FILE      "sort.status" /*--> Sort status file    <--*/
#define DEBUG_FILE        "debug.info" /*--> debug info file     <--*/
#define DEBUG_SHM_KEY       "/SHM_DB_" /*--> Id for Debug value  <--*/
#define CTRL_SHM_KEY        "/SHM_CT_" /*--> Id for sort ctrl    <--*/
#define DATA_SHM_KEY        "/SHM_DA_" /*--> Id for sort ctrl    <--*/
#define SHMSPECDIR        "/SortSas" /*--> Name of shm dir     <--*/ 
/*--> ========================================================== <--*/
#define NUMHIST    ( 4096 )            /*--> Number of histogrms <--*/ 
#define HISTLEN    ( 16384 )           
/*--> ========================================================== <--*/
/*--> DEBUG LEVEL Masks .....                                    <--*/
#define USER0      ( 0x0000000F )
#define USER1      ( 0x00000001 )
#define USER2      ( 0x00000002 )
#define USER3      ( 0x00000004 )
#define USER4      ( 0x00000008 )
#define MAINA      ( 0x00000FF0 )
#define SPECTRA    ( 0x00000010 )
#define END        ( 0x00000020 )
#define DECIPHER   ( 0x00000040 )
#define GET        ( 0x00000080 )
#define PARSE      ( 0x00000100 )
#define MAIN       ( 0x00000200 )
#define SORTCALLS  ( 0x000FF000 )
#define INC1D      ( 0x00001000 )
#define INC2D      ( 0x00002000 )
#define UCID       ( 0x00004000 )
#define UGM        ( 0x00008000 )
#define HISTOGRAM  ( 0x00010000 )
#define GATE       ( 0x00020000 )
/*--> ========================================================== <--*/
#define FAILMSG { (void *) printf("%s: @ line %i\n", __FUNCTION__, __LINE__ );
/*--> ========================================================== <--*/
#endif
/*--> ========================================================== <--*/
