/*--> ======================================================= <--*/
/*--> sort-calls.h : Include file listing all of the possible <--*/
/*-->                function calls for this package.         <--*/
/*-->                                                         <--*/
/*-->                This version created by DEA Feb 26/03    <--*/
/*-->                                                         <--*/
/*--> ======================================================= <--*/
/*--> User provided                                           <--*/

#ifndef _MIDASSORTCALLS_
#define  _MIDASSORTCALLS_

extern int  init                 ( void );
extern int  sortin               ( void );
extern int  finish               ( void );
/*--> Sort functions                                          <--*/
IMPORT void parse_args           ( const int, const char **, struct SV *, int *);
IMPORT void setupsignals         ( void );
IMPORT void sighandler           ( int);
IMPORT void sort_got_sig         ( int *);
IMPORT void prog_pid             ( void );
IMPORT void plugin_loader        ( struct SV *);

IMPORT void inc1d                ( int id, int val );
IMPORT void incv1d               ( int specid, int channel, int value );
IMPORT void set1d                ( int sid, int schannel, int svalue );
IMPORT void inc2d                ( int id, int xval, int yval );
IMPORT void incv2d               ( int vspecid, int vxval, int vyval, int value );
IMPORT void set2d                ( int ssid, int sxval, int syval, int svalue );
IMPORT int  val1d                ( int vsid, int vschannel );
IMPORT int  val2d                ( int vid, int valx, int valy );
IMPORT int gate1d                ( int *limits, int data );
IMPORT int gate2d                ( int *limits, int x, int y );
IMPORT void convert_id           ( int *adc_id );
IMPORT int  gainmatch            ( float a, float b, float c, int val );
IMPORT int read2d                ( char *fname, int set);

extern void end_prog             ( void );
extern void user_interact        ( void );
extern void swap2                ( char *ptr2, int nwrds2 ); 
extern void swap4                ( char *ptr4, int nwrds4 );

extern void read_debug_file      (int);
extern void read_cfg_file        (char *);

extern void writefailed          ( char *spec );
IMPORT int  read_specarray       ( void );
IMPORT int  map_spectra       ( int ctr, struct SV *cssv );

IMPORT int  create_shared_memory ( void );


#endif
